edu.ucsb.nceas.metacat.advancedsearch

## Class AdvancedSearchQueryTerm

- java.lang.Object
- - edu.ucsb.nceas.metacat.advancedsearch.AdvancedSearchQueryTerm

-     public class AdvancedSearchQueryTerm
      extends java.lang.Object

  Author:
    dcosta The AdvancedSearchQueryTerm class holds the data needed to produce a xml string fragment representing a single queryterm in a querygroup.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedSearchQueryTerm(java.lang.String searchMode, java.lang.String caseSensitive, java.lang.String pathExpr, java.lang.String value, java.lang.String indent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Produce a xml string fragment that represents this queryterm.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedSearchQueryTerm

          public AdvancedSearchQueryTerm(java.lang.String searchMode,
                                         java.lang.String caseSensitive,
                                         java.lang.String pathExpr,
                                         java.lang.String value,
                                         java.lang.String indent)

      Constructor. Initializes searchMode, caseSensitive, value, and indent.
      Parameters:
        `searchMode` - The search mode, e.g. "less-than-equals"
        `caseSensitive` - Case sensitive setting, "true" or "false"
        `pathExpr` - The search field, e.g. "northBoundingCoordinate"
        `value` - The search value to match, e.g. "35"
        `indent` - String of spaces for indenting output

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Produce a xml string fragment that represents this queryterm.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A xml string fragment that represents this queryterm.

Copyright © 2020 Regents of the University of California. All Rights Reserved.